Subject: Re: mainline build failure due to 281d0c962752 ("fortify: Add Clang support")

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Jun 2022 11:07:33 -0700

On Wed, 22 Jun 2022 08:01:57 -0700 Nathan Chancellor wrote:
> On Wed, Jun 22, 2022 at 08:47:22AM -0500, Linus Torvalds wrote:
> > On Wed, Jun 22, 2022 at 5:23 AM Sudip Mukherjee
> > <[email-masked]> wrote:  
> > >
> > > I have recently (since yesterday) started building the mainline kernel
> > > with clang-14 and I am seeing a build failure with allmodconfig.  
> 
> Right, this is known. Kees sent a fix for that warning recently but it
> went to net-next instead of net it seems:
> 
> https://git.kernel.org/netdev/net-next/c/2c0ab32b73cfe39a609192f338464e948fc39117
> 
> I am not sure if that change could be cherry-picked or applied to net so
> that it could be fixed in mainline, I see the netdev maintainers are
> already on CC so maybe they can comment on that?

Sorry about the hassle, done now. It's commit 1e70212e0315 ("hinic:
Replace memcpy() with direct assignment") in net and should make it 
to Linus tomorrow.